package ink.wgink.module.map.pojo.vos.grid;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: BaiduGridPointVO
 * @Description: 百度地图网格点
 * @Author: WangGeng
 * @Date: 2020/10/21 11:02
 * @Version: 1.0
 **/
@ApiModel
public class GridPointVO {

    @ApiModelProperty(name = "gridId", value = "网格ID")
    private String gridId;
    @ApiModelProperty(name = "lng", value = "经度")
    private String lng;
    @ApiModelProperty(name = "lat", value = "纬度")
    private String lat;

    public String getGridId() {
        return gridId == null ? "" : gridId.trim();
    }

    public void setGridId(String gridId) {
        this.gridId = gridId;
    }

    public String getLng() {
        return lng == null ? "" : lng.trim();
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getLat() {
        return lat == null ? "" : lat.trim();
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"gridId\":\"")
                .append(gridId).append('\"');
        sb.append(",\"lng\":\"")
                .append(lng).append('\"');
        sb.append(",\"lat\":\"")
                .append(lat).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
